Skip to main content
GET
/
billable_metrics
List all billable metrics
curl --request GET \
  --url https://core.nozle.app/api/v1/billable_metrics \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "current_page": 2,
    "total_pages": 4,
    "total_count": 70,
    "next_page": 3,
    "prev_page": 1
  },
  "billable_metrics": [
    {
      "lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
      "name": "Storage",
      "code": "storage",
      "recurring": false,
      "created_at": "2022-09-14T16:35:31Z",
      "aggregation_type": "sum_agg",
      "description": "GB of storage used in my application",
      "rounding_function": "round",
      "rounding_precision": 2,
      "expression": "round((ended_at - started_at) * units)",
      "field_name": "gb",
      "weighted_interval": "seconds",
      "filters": [
        {
          "key": "region",
          "values": [
            "us-east-1"
          ]
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

Response

List of billable metrics

meta
object
required
billable_metrics
object[]